import { ColumnType } from "./ColumnType";
import { Table } from "./Table";
/**
 * 用于定义列的装饰器
 */
export declare function column(type: ColumnType): (target: any, name: string) => void;
/**
 * 用于定义表的装饰器
 */
export declare function table(dbName?: string): (target: any) => void;
/**
 * 用于定义表所在的数据库
 */
export declare function database(dbName: string, tableName: string): (target: any) => void;
/**
 * 定义外键引用的装饰器
 * @param keyName 字段名
 * @param refTableName 引用的表名
 * @param refKeyName 引用的表的字段名
 */
export declare function reference<T extends Table>(keyName: string, refTableInstance: T, refKeyName: string, filter?: (m: T) => void): (target: any, name: string) => void;
