export declare class SqliteJs {
    dbName: string;
    constructor(dbName: string);
    /**
    * 使用sql语句查询数据，返回动态对像
    * @param sql sql语句,例如 'select * from student where user_name = ? and gender = ? ;'
    * @param value sql参数值,例如 ['Tom','Girl']
    */
    fromSql(sql: string, value: Array<any>): Promise<Array<any>>;
    /**
     * 使用sql语句查询出首条数据，返回动态对像
     * @param sql sql语句,例如 'select * from student where user_name = ? and gender = ? ;'
     * @param value sql参数值,例如 ['Tom','Girl']
     */
    fromSqlFirst(sql: string, value: Array<any>): Promise<any>;
    /**
     * 执行sql语句
     * @param sql sql语句
     * @param value sql参数值,例如 ['Tom','Girl']
     */
    execSql(sql: string, value: Array<number | string | Date | boolean | any>): Promise<number>;
}
